PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

February 6, 2011 // 1:18 pm - On this Super Bowl Sunday Brandon Wilson has released PS3Jig v1.0, which is a PS3 Factory / Service Mode Jig Dongle downgrader for the Sony PSP handheld.

He has confirmed the PS3 downgrader / Service Mode Jig PSP port can be used for <= FW3.55 homebrew and works on 1001 5.50 GEN-D CFW. For those interested, IndyColtsFan84 has also made a PS3Jig Downgrade Tutorial for PS3 Firmware 3.50 and 3.55.

Download: PS3Jig v1.00 PS3 Factory / Service Mode Jig Dongle for Sony PSP / SVN

To quote from his page: PS3Jig is a homebrew program for the PSP that emulates the official Sony "jig" stick for entering Factory/Service mode. All you need to do is attach a USB cable between your PS3 and PSP, run the program, and turn on your PS3, just like any other downgrade/service mode method.

AS OF THIS WRITING, THERE IS NO WAY TO EXIT FACTORY/SERVICE MODE ON PS3 FIRMWARE VERSION 3.56, SO DO NOT ATTEMPT TO USE THIS ON PS3 FIRMWARE VERSION 3.56 UNTIL YOU READ OTHERWISE ELSEWHERE!

Keep in mind that I'm not a PSP developer, and that I know very little about homebrew for it; my ability to answer questions about how to run it and troubleshoot any issues is severely limited.

This application is open source and has no license attached to it, so you're free to do whatever you want with it; but please don't slap your name on it and call it your own, it's just rude.

Frequently Asked Questions

What's the main purpose of this?
To enter Factory/Service Mode on your PS3 using your PSP. This is typically used to downgrade your PS3's firmware version to something that supports homebrew/backups, or you can use it to unbrick some PS3s from a firmware flash gone bad.

Will this cause any permanent damage to my PSP?
Not that I know of, but don't blame me if it does.

Do I need a special cable for this?
No, you just need a standard A<->mini-B USB cable. Among many other uses, it's the cable used to charge/sync PS3 controllers. You have one of these.

What firmware version does my PS3 need to be on for this to work?
As of this writing, you need to be on firmware version 3.55 or earlier. DO NOT USE IT ON FIRMWARE VERSION 3.56 OR HIGHER UNTIL YOU READ OTHERWISE ELSEWHERE.

What firmware version does my PSP need to be on for this to work?
Honestly, I don't know. This requires kernel mode, so as of this writing (and to the best of my knowledge), version 6.35 or lower. It runs on my PSP-1001 5.50 GEN-D.

I get an error when I run it on the PSP! What's wrong?
I really don't know.

How do I get this on my PSP?
The same way you do with any other PSP homebrew. Do some reading and/or googling.

It didn't work! What's wrong?!
Try it multiple times. I have noticed through a hardware USB analyzer that sometimes the PSP doesn't send the jig challenge response correctly, despite the PSP saying it did.

Will this work on the PSP Slim? 2000? 3000?
I honestly don't know.

It locked up my PSP when I tried to exit! Why?
I honestly don't know. Pull the battery, re-insert it, and turn it back on.

What tools did you use to compile/build this?
PSPSDK.

What dongle ID does this use?
0xAAAA. It can easily be changed and re-compiled in the source. I didn't provide a UI for it because it's unlikely anyone will ever need to change it.

I thought you said this couldn't be done! And yet here it is, prick. What's with the lying?
I said you couldn't implement the PSGroove/PSJailbreak exploit on it, and that's still true. Emulating the Sony official jig stick for Factory/Service Mode is different, and the PSP can do it. I didn't see anyone else doing it, so I did.


PS3Jig v1.00 PS3 Factory / Service Mode Jig Dongle for Sony PSP

PS3Jig v1.00 PS3 Factory / Service Mode Jig Dongle for Sony PSP

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew.



#221 - mrlowalowa - February 6, 2012 // 10:18 pm
mrlowalowa's Avatar
I think this only possible if you have QA Flagged your console at 3.55 before (!!) you have updated up to 3.60.

If you are already at 3.60 without enabled QA Flags than you need a Sony Retail tool (DEX console or Adapter for Lan plug-in) but they are pretty rare or/and expensive

Greets

#220 - mva255 - February 6, 2012 // 9:57 pm
mva255's Avatar
its impossible that this be able and more y systems with 3.56+ (people who update consoles and consoles with metdlr2). NabNab speak now or quiet for ever. This mode was released some time ago and i dont see dex consoles everywhere.

#219 - nino7050 - February 6, 2012 // 8:27 pm
nino7050's Avatar
I do not want to accuse or to give advice, but what I think is:

What does it matter to wait a day or two? Patience, with what would be useful if all his work details speeds giving sony tomorrow (FB) have canceled all the work I honestly think it's a better give her a free hand

Greetings

#218 - Smacks - February 6, 2012 // 7:42 pm
Smacks's Avatar
NabNab you should to explain how to downgrade PS3 that have 3.60 or less from the moment. It's so important for thousand of people who wants to have they PS3 on CFW...

#217 - landon - February 6, 2012 // 7:36 pm
landon's Avatar
OK thanks Nabnab but, did you try this CEX to DEX conversion on your PS3, is-it really working or this is a theory ?

Your second solutions, the downgrade one, could you tell us more about-it, it use a PSP or what, are you planing to release-it ?

#216 - kreus - February 6, 2012 // 7:33 pm
kreus's Avatar
The problem now is the IDPS then?

#215 - Nabnab - February 6, 2012 // 7:13 pm
Nabnab's Avatar
If you talk about a PS3 3.55 you can easily QA Flag, if you talk about a PS3 4.0 is different and you need a Payload and Syscall that can allow the system to let you update but anyway the bad end it's your need a payload anyway

Mells i know all this but you not obliged to connect your PS3 into the SC server if you have the right way and with a Payload/syscall

Also have a bad fail made in Sony that allow you to downgrade in a software way every PS3 that come with a firmware under 3.60+ and was updated to 4.0

#214 - mellss - February 6, 2012 // 7:03 pm
mellss's Avatar
please read this: http://www.ps4news.com/ps3-hacks-jailbreak/ps3-cex-to-dex-kit-retail-to-debug-surfaces-requires-idps/

#213 - MisterTea - February 6, 2012 // 6:52 pm
MisterTea's Avatar
Nabnab, the sad thing is you can't QA flag a cex ps3 with the available tools right now right ?

what would your future tool change to that?
(it's not agressive, I am just being curious ^^, btw thanks for your works !)

#212 - Nabnab - February 6, 2012 // 6:47 pm
Nabnab's Avatar
You don't need to access to SCE for that....